Package org.apache.avro.path

# Class ArrayPositionPredicate

java.lang.Object
org.apache.avro.path.ArrayPositionPredicate

All Implemented Interfaces:
  `PathElement`, `PathPredicate`, `PositionalPathPredicate`

public class ArrayPositionPredicate extends Object implements PositionalPathPredicate
Returns items by their position (numeric index) in an array

## Constructor Summary

Constructors
Constructor
Description
`ArrayPositionPredicate(long index)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ArrayPositionPredicate

public ArrayPositionPredicate(long index)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`